Subject: [RADIR] starting a discussion

From: Jari Arkko <[email-masked]>
Date: Mon, 05 Mar 2007 18:19:49 +0200

Hello R&A directorate!

Thanks for serving on this directorate. As you know,
you are working on an important topic. The Routing
and Internet ADs would like to work with you on this
space, as we plan the various meetings and charter
work.

To get started, I would like to get some input from the
directorate on a couple of things:

1) The agenda for Prague discussions (see below for
writeup 1). Something missing? Something extra?
Are the agenda items something that can be
successfully discussed in a meeting? Do you have
suggestions for speakers on intarea security
topic, or the design space topic (on the latter I
have promises from Dave Thaler and Pekka
Nikander to provide material and slides)?

2) What your assessment of "the problem" is now,
given all the information that we've been receiving
in the last couple of months (NANOG, various private
meetings, etc).

3) If we are going to design an id/locator split based
solution, what the boundary conditions should be
for a WG to agree on a solution and to make real
progress? See writeup 2 below.

Jari

Writeup 1:
> Hi all,
>
> We are planning to talk about the routing and addressing
> topic in Prague in a number of different meetings.
>
> Wednesday 1830-1930, Plenary --
> http://www.arkko.com/ietf/ietf-68/ietf68_roap_agenda.txt
>
>    This is a short report on where we are with this problem and what
>    aspects of it the IETF can address.
>
> Thursday 0900-1130, INTAREA --
> http://www3.ietf.org/proceedings/07mar/agenda/intarea.txt
>
>    This is an architectural discussion about future IETF work on
>    identifier-locator split and multi-level locator designs that may help
>    issues with routing scalability and other issues in the long term.
>
> Thursday 1300-1500, RTGAREA -- (no agenda available yet)
>
>   This meeting focuses on what we could do with BGP to address
>   some aspects of the problem in the short term.
>
> Saturday March 17th,  RRG --
> http://www1.tools.ietf.org/group/irtf/trac/wiki/RRG
>
>   This is a research group discussion on rechartering the RRG to
>   look at new architectural approaches (including clean slate designs).
>
> Comments and suggestions appreciated.
>
> Jari, Mark, and Ross
>   

Writeup 2:

One of the things that I would like to do is to start
scoping our free flowing discussion in RAM etc a
little bit so that we can make progress. In particular,
we have 2.5 hours in the meeting in Prague and as we
have seen in APRICOT etc, it is easy to talk about this for a day
very easily. Even without going into the details or start having
a real discussion on what we should be doing...

With that in mind, how do you feel about the following
scope:

- no redefinition of IPv6
- must be incrementally deployable & backwards compatible
- must keep interface to applications intact
- must do something beyond existing solutions (but
  could of course be an extension of an existing)
- must not be merely about moving the same problem to
  a different bottleneck
- must have the ability control TE, multihoming from the network
- must keep core data path intact

As well as the following additional but not so clear
cut boundaries:

- should support both IPv4 and IPv6
- should have an approach to dealing with referrals

_______________________________________________
RADIR mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/radir